# zhihu_daily

知乎日报 dart api

Dart api for http://news-at.zhihu.com/

### Usage

    import 'package:zhihu_daily/zhihu_daily.dart';

    main() async {
      ZhihuDaily zhi = new ZhihuDaily();

      print(await zhi.fetchStartImage());

      List<List<News>> newsList = await zhi.fetchLatestNews();
      var storyId = newsList.first.first.storyId;
      print(await zhi.fetchStory(storyId));
      print(await zhi.fetchStoryExtra(storyId));

      List<News> oldNews = await zhi.fetchOldNews();
      storyId = oldNews.first.storyId;
      print((await zhi.fetchLongComments(storyId)).first.content);
      print((await zhi.fetchShortComments(storyId)).first.content);

      List<Theme> themes = await zhi.fetchThemes();
      var themeId = themes.first.id;
      print((await zhi.fetchThemeContent(themeId)).newsList.length);
    }

### Test

    dart test/tests.dart

### 说明
请注意，此库纯属个人作品，并非[知乎日报](http://news-at.zhihu.com/)官方的Dart SDK，API的信息也全部取自于非官方的[知乎日报API分析](https://github.com/izzyleung/ZhihuDailyPurify/wiki/%E7%9F%A5%E4%B9%8E%E6%97%A5%E6%8A%A5-API-%E5%88%86%E6%9E%90)。
